"use strict";

exports.__esModule = true;

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _resourceList = require("../../src/styles/resource-list.css");

var _resourceList2 = _interopRequireDefault(_resourceList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _ref = _react2.default.createElement(
  "h1",
  null,
  "Guest List:"
);

var GuestList = function (_Component) {
  (0, _inherits3.default)(GuestList, _Component);

  function GuestList(props) {
    (0, _classCallCheck3.default)(this, GuestList);

    var _this = (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));

    _this.handleCheck = _this.handleCheck.bind(_this);
    return _this;
  }

  GuestList.prototype.renderInvitees = function renderInvitees(inviteesArr) {
    var _this2 = this;

    return inviteesArr.map(function (invitee) {
      return _react2.default.createElement(
        "div",
        { key: invitee.name, className: _resourceList2.default.guestName },
        _react2.default.createElement("input", {
          id: invitee.name,
          type: "checkbox",
          checked: invitee.invited,
          onChange: function onChange() {
            return _this2.props.toggleGuest(invitee);
          } }),
        _react2.default.createElement(
          "label",
          { htmlFor: invitee.name },
          invitee.name
        )
      );
    });
  };

  GuestList.prototype.handleCheck = function handleCheck(e) {
    e.preventDefault();
    this.props.toggleGuest(e.target.id, e.target.checked);
  };

  GuestList.prototype.render = function render() {
    var invitees = this.props.invitees;


    return _react2.default.createElement(
      "div",
      { className: _resourceList2.default.guestList },
      _ref,
      this.renderInvitees(invitees)
    );
  };

  return GuestList;
}(_react.Component);

exports.default = GuestList;


GuestList.propTypes = {
  friends: _react.PropTypes.array,
  toggleGuest: _react.PropTypes.func
};