"use strict";

exports.__esModule = true;

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _resourceList = require("../../src/styles/resource-list.css");

var _resourceList2 = _interopRequireDefault(_resourceList);

var _renderFriend = require("./render-friend");

var _renderFriend2 = _interopRequireDefault(_renderFriend);

var _guestList = require("./guest-list");

var _guestList2 = _interopRequireDefault(_guestList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ResourceList = function (_Component) {
  (0, _inherits3.default)(ResourceList, _Component);

  function ResourceList(props) {
    (0, _classCallCheck3.default)(this, ResourceList);

    var _this = (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));

    _this.state = {
      invitees: _this.props.ourFriends.map(function (_ref) {
        var name = _ref.name;

        return { name: name, invited: false };
      }),
      invitee: {}
    };
    _this.toggleGuest = _this.toggleGuest.bind(_this);
    _this.renderFriends = _this.renderFriends.bind(_this);
    return _this;
  }

  ResourceList.prototype.renderFriends = function renderFriends(friends) {
    var invitees = this.state.invitees;
    var partyTime = invitees.length === invitees.filter(function (invitee) {
      return invitee.invited;
    }).length ? _resourceList2.default.party : '';
    return friends.filter(function (friend) {
      return !!invitees.filter(function (invitee) {
        return invitee.name === friend.name && invitee.invited;
      }).length;
    }).map(function (friend) {
      return _react2.default.createElement(_renderFriend2.default, { className: partyTime, key: friend.name, friend: friend });
    });
  };

  ResourceList.prototype.toggleGuest = function toggleGuest(_ref2) {
    var name = _ref2.name;
    var invited = _ref2.invited;

    var invitees = this.state.invitees.map(function (invitee) {
      if (invitee.name === name) {
        invitee.invited = !invited;
      }
      return invitee;
    });
    this.setState({ invitees: invitees });
  };

  ResourceList.prototype.render = function render() {
    var _this2 = this;

    var _props = this.props;
    var ourFriends = _props.ourFriends;
    var message = _props.message;
    var outFocus = _props.outFocus;
    var invitees = this.state.invitees;

    ourFriends = !!ourFriends ? ourFriends : exampleObj;
    var houseParty = invitees.length === invitees.filter(function (invitee) {
      return invitee.invited;
    }).length ? _resourceList2.default.houseParty + " " + _resourceList2.default.house : _resourceList2.default.house;
    var containerStyle = outFocus ? _resourceList2.default.container + " " + _resourceList2.default.outFocus : _resourceList2.default.container;

    return _react2.default.createElement(
      "div",
      null,
      !!message && _react2.default.createElement(
        "p",
        null,
        message
      ),
      _react2.default.createElement(_guestList2.default, { invitees: invitees, toggleGuest: function toggleGuest(invitee) {
          return _this2.toggleGuest(invitee);
        } }),
      _react2.default.createElement(
        "div",
        { className: containerStyle },
        _react2.default.createElement(
          "div",
          { className: houseParty },
          _react2.default.createElement(
            "div",
            { className: _resourceList2.default.room },
            this.renderFriends(ourFriends)
          )
        )
      )
    );
  };

  return ResourceList;
}(_react.Component);

exports.default = ResourceList;
;

ResourceList.displayName = "ResourceList";

ResourceList.PropTypes = {
  ourBestFriends: _react.PropTypes.array,
  message: _react.PropTypes.string
};

ResourceList.defaultProps = {};